Debian Bug report logs - #500132
[release-notes] [l10n] CJK users need to install poppler-data (non-free) package to view PDF files with evince or so

Package: release-notes; Maintainer for release-notes is Debian Documentation Team <debian-doc@lists.debian.org>;

Reported by: Hideki Yamane <henrich@debian.or.jp>

Date: Thu, 25 Sep 2008 11:27:02 UTC

Severity: normal

Tags: help, l10n, moreinfo

Done: Hideki Yamane <henrich@debian.or.jp>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Thu, 25 Sep 2008 11:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
New Bug report received and forwarded. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Thu, 25 Sep 2008 11:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: submit@bugs.debian.org
Subject: [release-notes] [l10n] CJK users need to install poppler-data (non-free) package to view PDF files with evince or so
Date: Thu, 25 Sep 2008 20:23:56 +0900
Package: release-notes
Severity: normal
Tags: l10n

Hi,

 Some of CJK people know about this issue, to view PDF files with evince,
 default PDF viewer in GNOME desktop environment, we need poppler-data 
 package (to display CJK characters correctly).
 
 IMO, it should be documented at release note. It will help our users.


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.26-1-686

Debian Release: lenny/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        ftp.jp.debian.org 
    1 experimental    cdn.debian.or.jp 

--- Package information. ---
Depends       (Version) | Installed
=======================-+-===========
                        | 





-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Thu, 25 Sep 2008 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Thu, 25 Sep 2008 16:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 500132@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: Hideki Yamane <henrich@debian.or.jp>, 500132@bugs.debian.org
Subject: Re: Bug#500132: [release-notes] [l10n] CJK users need to install poppler-data (non-free) package to view PDF files with evince or so
Date: Thu, 25 Sep 2008 17:57:07 +0200
On Thu, Sep 25, 2008 at 08:23:56PM +0900, Hideki Yamane wrote:
> Package: release-notes
> Severity: normal
> Tags: l10n
> 
> Hi,
> 
>  Some of CJK people know about this issue, to view PDF files with evince,
>  default PDF viewer in GNOME desktop environment, we need poppler-data 
>  package (to display CJK characters correctly).

Please explain in more detail. I have no problem viewing
/usr/share/doc/Debian/quick-reference/quick-reference.ja.pdf.gz
using evince 2.22.2-2 without poppler-data. Also xpdf, ... works well.

Jens




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Thu, 25 Sep 2008 23:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Thu, 25 Sep 2008 23:03:05 GMT) Full text and rfc822 format available.

Message #15 received at 500132@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Jens Seidel <jensseidel@users.sf.net>
Cc: 500132@bugs.debian.org
Subject: Re: Bug#500132: [release-notes] [l10n] CJK users need to install poppler-data (non-free) package to view PDF files with evince or so
Date: Fri, 26 Sep 2008 08:01:08 +0900
On Thu, 25 Sep 2008 17:57:07 +0200
Jens Seidel <jensseidel@users.sf.net> wrote:
> Please explain in more detail. I have no problem viewing
> /usr/share/doc/Debian/quick-reference/quick-reference.ja.pdf.gz
> using evince 2.22.2-2 without poppler-data. Also xpdf, ... works well.

 Most of PDF files are not able to view without poppler-data.
 For example, http://www.sony.jp/ServiceArea/impdf/pdf/2159504011.pdf
 Could you see above PDF file well?

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Fri, 26 Sep 2008 06:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 26 Sep 2008 06:51:05 GMT) Full text and rfc822 format available.

Message #20 received at 500132@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>, 500132@bugs.debian.org
Cc: Jens Seidel <jensseidel@users.sf.net>
Subject: Re: Bug#500132: [release-notes] [l10n] CJK users need to install poppler-data (non-free) package to view PDF files with evince or so
Date: Fri, 26 Sep 2008 08:45:32 +0200
On 2008-09-26 08:01, Hideki Yamane wrote:
>  Most of PDF files are not able to view without poppler-data.
>  For example, http://www.sony.jp/ServiceArea/impdf/pdf/2159504011.pdf
>  Could you see above PDF file well?

Only with poppler-data installed :~(




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Fri, 26 Sep 2008 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Noritada Kobayashi" <noritadak@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 26 Sep 2008 08:03:04 GMT) Full text and rfc822 format available.

Message #25 received at 500132@bugs.debian.org (full text, mbox):

From: "Noritada Kobayashi" <noritadak@gmail.com>
To: "Hideki Yamane" <henrich@debian.or.jp>, 500132@bugs.debian.org
Subject: Re: Bug#500132: [release-notes] [l10n] CJK users need to install poppler-data (non-free) package to view PDF files with evince or so
Date: Fri, 26 Sep 2008 16:58:13 +0900
Hi,

2008/9/26 Hideki Yamane <henrich@debian.or.jp>:
> On Thu, 25 Sep 2008 17:57:07 +0200
> Jens Seidel <jensseidel@users.sf.net> wrote:
>> Please explain in more detail. I have no problem viewing
>> /usr/share/doc/Debian/quick-reference/quick-reference.ja.pdf.gz
>> using evince 2.22.2-2 without poppler-data. Also xpdf, ... works well.
>
>  Most of PDF files are not able to view without poppler-data.

To explain clearly, we cannot display fonts that are not embedded in
the displayed PDF file, although we have no problems viewing PDF files
in which CJK fonts are embedded.

# I don't know which is the majority, whether embedding fonts in PDF
# files or not, but I usually do not embed fonts when creating PDF
# files with pLaTeX + dvipdfmx. ;-)

This is basically due to the Adobe CMAP issue that CMAP files for
PS/PDF are not approved to be modified (and thus cannot be included in
the "main" section in Debian).  This issue is problematic for (at
least) Japanese users for around ten years (sigh...) and we work
around the issue by additionally installing
cmap-adobe-{cns1,gb1,japan1,japan2,korea1}, gs-cjk-resource, and
xpdf-japanese for viewing PS/PDF files.

Poppler, which is based on Xpdf, used to read CMAP files from the same
place as Xpdf did.  So, we need only above packages to display CJK
fonts using Poppler.  In recent versions, however, Poppler reads CMAPs
from its own path.  So, we must additionally install poppler-data
which installs CMAPs for Poppler.

# I think it would be better to make Xpdf and Poppler share CMAP files
# again, but at least we have no time for lenny. ;-)

Is this explanation comprehensible to you, Jens?

Many thanks,

-nori




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Fri, 26 Sep 2008 14:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 26 Sep 2008 14:33:13 GMT) Full text and rfc822 format available.

Message #30 received at 500132@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: Noritada Kobayashi <noritadak@gmail.com>, 500132@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>
Subject: Re: Bug#500132: [release-notes] [l10n] CJK users need to install poppler-data (non-free) package to view PDF files with evince or so
Date: Fri, 26 Sep 2008 16:19:31 +0200
On Fri, Sep 26, 2008 at 04:58:13PM +0900, Noritada Kobayashi wrote:
> 2008/9/26 Hideki Yamane <henrich@debian.or.jp>:
> > On Thu, 25 Sep 2008 17:57:07 +0200
> > Jens Seidel <jensseidel@users.sf.net> wrote:
> >> Please explain in more detail. I have no problem viewing
> >> /usr/share/doc/Debian/quick-reference/quick-reference.ja.pdf.gz
> >> using evince 2.22.2-2 without poppler-data. Also xpdf, ... works well.
> >
> >  Most of PDF files are not able to view without poppler-data.

Ah, this "most" was missing in your initial mail. 

I remember about the thread on debian-devel some months ago and it
confused me too as I was able to view a few documents.

> To explain clearly, we cannot display fonts that are not embedded in

we == evince
or
we == Asian people???

> the displayed PDF file, although we have no problems viewing PDF files
> in which CJK fonts are embedded.

OK.

> This is basically due to the Adobe CMAP issue that CMAP files for
> PS/PDF are not approved to be modified (and thus cannot be included in
> the "main" section in Debian).  This issue is problematic for (at

So there is a license problem. Isn't it strange that xpdf is able to
display the mentioned PDF file? Yep, it outputs
Error: Unknown character collection 'Adobe-Japan1'
but most (all?) glyphs are readable!

> least) Japanese users for around ten years (sigh...) and we work
> around the issue by additionally installing
> cmap-adobe-{cns1,gb1,japan1,japan2,korea1}, gs-cjk-resource, and
> xpdf-japanese for viewing PS/PDF files.

I don't have any of these packages installed in my Lenny system ...
(But I have KDE4 packages from experimental, maybe this includes free
font replacements?)

> Poppler, which is based on Xpdf, used to read CMAP files from the same
> place as Xpdf did.  So, we need only above packages to display CJK
> fonts using Poppler.  In recent versions, however, Poppler reads CMAPs
> from its own path.  So, we must additionally install poppler-data
> which installs CMAPs for Poppler.

I also have poppler-data not installed.

> # I think it would be better to make Xpdf and Poppler share CMAP files
> # again, but at least we have no time for lenny. ;-)

Where does the the fonts used by xpdf come from? Does xpdf replace not found
commercial fonts with free ones? If yes, than evince should do it as
well.

According to strace xpdf opens /usr/lib/libfreetype.so.6, all other
opened files are probably less relevant.

> Is this explanation comprehensible to you, Jens?

Related to this bug report, yes, it is. Thanks for the explanations.

I'm nevertheless curious why xpdf has no (obvious) problems.

Jens




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Sat, 27 Sep 2008 11:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Noritada Kobayashi" <noritadak@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Sat, 27 Sep 2008 11:24:05 GMT) Full text and rfc822 format available.

Message #35 received at 500132@bugs.debian.org (full text, mbox):

From: "Noritada Kobayashi" <noritadak@gmail.com>
To: 500132@bugs.debian.org
Subject: Re: Bug#500132: [release-notes] [l10n] CJK users need to install poppler-data (non-free) package to view PDF files with evince or so
Date: Sat, 27 Sep 2008 20:20:57 +0900
Hi,

2008/9/26 Jens Seidel <jensseidel@users.sf.net>:
> On Fri, Sep 26, 2008 at 04:58:13PM +0900, Noritada Kobayashi wrote:
>> 2008/9/26 Hideki Yamane <henrich@debian.or.jp>:
>> > On Thu, 25 Sep 2008 17:57:07 +0200
>> > Jens Seidel <jensseidel@users.sf.net> wrote:
>> >> Please explain in more detail. I have no problem viewing
>> >> /usr/share/doc/Debian/quick-reference/quick-reference.ja.pdf.gz
>> >> using evince 2.22.2-2 without poppler-data. Also xpdf, ... works well.
>> >
>> >  Most of PDF files are not able to view without poppler-data.
>
>> To explain clearly, we cannot display fonts that are not embedded in
>
> we == evince
> or
> we == Asian people???

"Debian users" or "Free software users". ;-)
(And, "fonts" means "CJK fonts".)

>> the displayed PDF file, although we have no problems viewing PDF files
>> in which CJK fonts are embedded.
>
>> This is basically due to the Adobe CMAP issue that CMAP files for
>> PS/PDF are not approved to be modified (and thus cannot be included in
>> the "main" section in Debian).  This issue is problematic for (at
>
> So there is a license problem. Isn't it strange that xpdf is able to
> display the mentioned PDF file? Yep, it outputs
> Error: Unknown character collection 'Adobe-Japan1'
> but most (all?) glyphs are readable!

Hmm..., I confirmed that Xpdf can render Japanese text in that
document without xpdf-japanese.  But it seems to be a correct
behaviour.  I checked fonts inside that PDF with pdffonts (included in
xpdf-utils/poppler-utils packages) and found that fonts are embedded
in that PDF.  So, what is curious is that Poppler cannot display fonts
that are embedded inside the PDF.  Gee...  I cannot explain now.

Instead, let's try to display documentations for Tokyo Debian study
meetings, such as:
http://tokyodebian.alioth.debian.org/pdf/debianmeetingresume200806.pdf
In this PDF, fonts are not embedded.  With Evince and Inkscape
(without poppler-data), Japanese text only does not show up.  With
Xpdf (without xpdf-japanese), Japanese text looks garbled.  This is a
behaviour that I expected.

>> least) Japanese users for around ten years (sigh...) and we work
>> around the issue by additionally installing
>> cmap-adobe-{cns1,gb1,japan1,japan2,korea1}, gs-cjk-resource, and
>> xpdf-japanese for viewing PS/PDF files.
>
> I don't have any of these packages installed in my Lenny system ...
> (But I have KDE4 packages from experimental, maybe this includes free
> font replacements?)

No, CMap is not a font; it is only a mapping.  CJK-related
documentation[1] of Ghostscript explains that "A CMap provides a map
from the multibyte character code to the CID of corresponding glyph,
under a specified encoding system."  It is only a data like a map of
Unicode, but OTOH it is also a PostScript program (so, it is
impossible to create a free alternative by copying and pasting
uncopyrighted data...).

[1] http://pages.cs.wisc.edu/~ghost/doc/gnu/7.05/CJK.htm

>> Poppler, which is based on Xpdf, used to read CMAP files from the same
>> place as Xpdf did.  So, we need only above packages to display CJK
>> fonts using Poppler.  In recent versions, however, Poppler reads CMAPs
>> from its own path.  So, we must additionally install poppler-data
>> which installs CMAPs for Poppler.
>
> I also have poppler-data not installed.
>
>> # I think it would be better to make Xpdf and Poppler share CMAP files
>> # again, but at least we have no time for lenny. ;-)
>
> Where does the the fonts used by xpdf come from? Does xpdf replace not found
> commercial fonts with free ones? If yes, than evince should do it as
> well.
>
> According to strace xpdf opens /usr/lib/libfreetype.so.6, all other
> opened files are probably less relevant.
>
>> Is this explanation comprehensible to you, Jens?
>
> Related to this bug report, yes, it is. Thanks for the explanations.
>
> I'm nevertheless curious why xpdf has no (obvious) problems.

So, from an inspection with pdffonts, what is curious is Poppler,
which can display some PDF files with fonts embedded but cannot do so
other ones.  Thank you for noticing this fact.  I'll check more.

Thanks,

-nori




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Sat, 04 Oct 2008 19:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Sat, 04 Oct 2008 19:39:02 GMT) Full text and rfc822 format available.

Message #40 received at 500132@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 500132@bugs.debian.org
Subject: Re: [release-notes] [l10n] CJK users need to install poppler-data (non-free) package to view PDF files with evince or so
Date: Sat, 04 Oct 2008 21:35:59 +0200
Hi

Can you provide a proposed text (license: GPL v2) regarding this need of
poppler-data to view PDF files with evince for inclusion into the
release notes?

Thanks already.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Sun, 05 Oct 2008 12:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Sun, 05 Oct 2008 12:45:02 GMT) Full text and rfc822 format available.

Message #45 received at 500132@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Luk Claes <luk@debian.org>
Cc: 500132@bugs.debian.org, debian-doc@debian.or.jp
Subject: Re: [release-notes] [l10n] CJK users need to install poppler-data (non-free) package to view PDF files with evince or so
Date: Sun, 5 Oct 2008 21:43:44 +0900
On Sat, 04 Oct 2008 21:35:59 +0200
Luk Claes <luk@debian.org> wrote:
> Can you provide a proposed text (license: GPL v2) regarding this need of
> poppler-data to view PDF files with evince for inclusion into the
> release notes?

 OKay, I (we :-)'ll try. 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Tue, 27 Jan 2009 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dimitris Symeonidis <azimout@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Tue, 27 Jan 2009 14:03:04 GMT) Full text and rfc822 format available.

Message #50 received at 500132@bugs.debian.org (full text, mbox):

From: Dimitris Symeonidis <azimout@gmail.com>
To: 500132@bugs.debian.org
Subject: sample pdf file with japanese characters
Date: Tue, 27 Jan 2009 14:59:43 +0100
[Message part 1 (text/plain, inline)]
taken from ubuntu bug 269243

couldn't evince show a warning similar to "CJK support is included in
the non-free package poppler-data, which is currently not installed in
your system"?

Kind regards

Dimitris Symeonidis
"If you think you're too small to make a difference, try sleeping with
a mosquito!" - Amnesty International
[example.pdf (application/pdf, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Sun, 01 Feb 2009 17:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Sun, 01 Feb 2009 17:12:02 GMT) Full text and rfc822 format available.

Message #55 received at 500132@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 500132@bugs.debian.org, control@bugs.debian.org
Subject: Help!
Date: Sun, 1 Feb 2009 18:08:19 +0100
tags 500132 +help
tags 500132 +moreinfo
thanks

What about the patch? Many thanks in advance!




Tags added: help Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Sun, 01 Feb 2009 17:12:03 GMT) Full text and rfc822 format available.

Tags added: moreinfo Request was from "W. Martin Borgert" <debacle@debian.org> to control@bugs.debian.org. (Sun, 01 Feb 2009 17:12:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 500132: 548181 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 24 Sep 2009 13:07:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#500132; Package release-notes. (Thu, 24 Sep 2009 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Thu, 24 Sep 2009 13:42:03 GMT) Full text and rfc822 format available.

Message #66 received at 500132@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 500132@bugs.debian.org
Subject: Bug 500132 will be solved soon
Date: Thu, 24 Sep 2009 15:40:00 +0200
This bug will be solved soon when poppler-data will hit main

Thanks

Bastien




Reply sent to Hideki Yamane <henrich@debian.or.jp>:
You have taken responsibility. (Sun, 31 Jan 2010 08:54:07 GMT) Full text and rfc822 format available.

Notification sent to Hideki Yamane <henrich@debian.or.jp>:
Bug acknowledged by developer. (Sun, 31 Jan 2010 08:54:08 GMT) Full text and rfc822 format available.

Message #71 received at 500132-done@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 500132-done@bugs.debian.org
Subject: poppler-data is in main now, tasksel pulls it
Date: Sun, 31 Jan 2010 17:53:19 +0900
[Message part 1 (text/plain, inline)]
Hi,

 It is solved because poppler-data is in main now :)

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Mar 2010 07:30:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:33:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.